{% extends 'people/rate_loads.html' %}
{% load static %}
{% block css %}

{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% load mptt_tags %}
{% block title %}Редактирование нагрузки{% endblock %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Редактирование нагрузки' 'people:load' %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col">
          {% if load_id %}
            <form action="{% url 'people:edit_load' rate.id category load_id %}" method="post">
          {% else %}
            <form action="{% url 'people:add_load' rate.id category %}" method="post">
          {% endif %}
          {% csrf_token %}
          <div class="form-row">
            {{ form.name.errors }}
            <label for="name_select" class="col-sm-4 col-form-label">{{ form.name.label_tag }}</label>
            <div class="col-sm-8">
              <script type="text/javascript">
                  var names = {{names|safe}};
              </script>
              <input id="name_select" class="form-control basic" type="text" name="name" value="{{ value_name }}">
            </div>
          </div>

          {#                <select id='name_select' placeholder=''>#}
          {#                    {% if instance_name %}#}
          {#                        <option value="{{ instance_name }}">{{ instance_name }}</option>#}
          {#                    {% else %}#}
          {#                        <option value=''></option>#}
          {#                    {% endif %}#}
          {#                    {% for name in names %}#}
          {#                        <option value='{{ name.name }}'>{{ name.name }}</option>#}
          {#                    {% endfor %}#}
          {#                </select>#}
          <div class="form-row">
            <div class="form-group col-sm-6">
              {{ form.planned_labor.errors }}
              <label for="id_planned_labor">{{ form.planned_labor.label_tag }}</label>
              {{ form.planned_labor }}
            </div>
            <div class="form-group col-sm-6">
              {{ form.actual_labor.errors }}
              <label for="id_actual_labor">{{ form.actual_labor.label_tag }}</label>
              {{ form.actual_labor }}
            </div>

          </div>
          <div class="form-row">
            <div class="form-group col-sm-6">
              {{ form.planned_due_date.errors }}
              <label for="id_planned_due_date">{{ form.planned_due_date.label_tag }}</label>
              {{ form.planned_due_date }}
            </div>
            <div class="form-group col-sm-6">
              {{ form.actual_due_date.errors }}
              <label for="id_actual_due_date">{{ form.actual_due_date.label_tag }}</label>
              {{ form.actual_due_date }}
            </div>
          </div>


          {% if category == 3 %}
            {% include "people/load_form_3.html" %}
          {% endif %}
          <button type="submit" class="btn btn-primary">Сохранить</button>
          </form>
        </div>
      </div>
    </div>
  </section>
{% endblock %}
{% block js %}
  <script src="{% static "people/js/edit_load.js" %}"></script>
{% endblock %}